//     ======================== RobotController.h ===========================
//     **********************************************************************
//     Author: Yeremeyev Dmitriy Vladimirovich *** mailto:edvmail@mail.ru
//     Last update : 30.09.2009
//     **********************************************************************


#if !defined(_RobotController_H_INCLUDED_)
#define _RobotController_H_INCLUDED_

#include "wx/wx.h"
#include "COM_port.h"

#define cKeyTotal 8
//    
struct TKeyArray {
	bool Key[cKeyTotal];
};


class CIndicator : public wxStaticText
{
public:

	wxMemoryDC mMemDC;
	wxBitmap*  mMemBmp;
	TKeyArray  mKeyArray;


	CIndicator(wxWindow* parent);
	virtual ~CIndicator();

	//   
	void OnPaint(wxPaintEvent& event);
	// 
	void Draw();
	void SetKeyArray(TKeyArray* apKeyArray);

private:
    DECLARE_EVENT_TABLE()
};

//=============================================================================================
//===================================== Class: CMainWnd =======================================
//=============================================================================================

// : "  "
class CMainWnd : public wxFrame
{
    wxPanel*    mpPanel;      //  " "
	CIndicator* mpIndicator;
	HANDLE      mhCmdExchangeSection;
	HFILE       mhCOMPort;

public:
	//  
    CMainWnd();
	//  
	~CMainWnd();

	//   "  "
    void OnQuit(wxCommandEvent& event);
    void OnClose(wxCloseEvent& event);
	//  
	void OnTimer(wxTimerEvent& event);

private:
	wxTimer m_Timer;

    DECLARE_EVENT_TABLE()
};


#endif // !defined(_RobotController_H_INCLUDED_)
